uniform		sampler2D       tex0;   //base color        (RGBA)
uniform		sampler2D       tex1;   //mask composition  (lighting, AO, mask0, mask1)

uniform     mediump vec3    param0;
uniform     mediump vec3    param1;

varying     highp   vec2    uv0Var;

void main()
{
    mediump vec4 c0 = texture2D(tex0, uv0Var);
    mediump vec4 c1 = texture2D(tex1, uv0Var);
    mediump vec3 mask = mix(param1, param0, c1.b);
    gl_FragColor = vec4(mix(mask, c0.rgb, c0.a) * c1.g  + c1.r, 1.0);
}
