attribute	highp	vec4	vertex_pos;
attribute	mediump vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform     mediump vec2    ammount;

varying		mediump vec2	uv0Var;
varying		mediump vec2	uv1Var;
varying		mediump vec2	uv2Var;
varying		mediump vec2	uv3Var;
varying		mediump vec2	uv4Var;

void main()
{
	uv0Var = vertex_uv0;
    uv1Var = vertex_uv0 - vec2(ammount.x, 0.0);
    uv2Var = vertex_uv0 - vec2(0.0, ammount.y);
    uv3Var = vertex_uv0 + vec2(ammount.x, 0.0);
    uv4Var = vertex_uv0 + vec2(0.0, ammount.y);
	gl_Position = pvwMat * vertex_pos;
}
