uniform		sampler2D           tex0;
uniform		sampler2D           tex1;
varying		highp       vec2    uv0Var;

void main()
{
    lowp vec3 c0 = texture2D(tex0, uv0Var).rgb;
    lowp vec3 c1 = texture2D(tex1, uv0Var).rgb;
    lowp vec3 c2 = clamp(c0 * 2.0 - 1.0, 0.0, 1.0);
    
    c1 = c1 - c1 * c2 + c2;
    c0 = c0 - c0 * c1 + c1;
    c1 = c0 * c0 - 0.4;
    c1 = c0 * 1.6 - c1;

    gl_FragColor.rgb = c0 * c1;
}
