attribute	highp	vec4	vertex_pos;
attribute	mediump vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform     mediump vec4    param0; //god rays screen sun pos, aspect ratio

varying		mediump   vec2	uvDeltaVar;
varying		mediump   vec2	uvVar;


void main()
{
    uvDeltaVar = param0.xy - vertex_uv0;
    uvDeltaVar *= param0.zw;
    uvVar = vertex_uv0;
	gl_Position = pvwMat * vertex_pos;
}
