attribute	highp	vec4	vertex_pos;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform     highp   vec4    param0; //god rays screen sun pos, sample size, sample offset

varying		mediump     vec4	uv0;
varying		mediump     vec4	uv1;
varying		mediump     vec4	uv2;
varying		mediump     vec4	uv3;
varying		mediump     vec4	uv4;
varying		mediump     vec4	uv5;
varying		mediump     vec4	uv6;
varying		mediump     vec4	uv7;

void main()
{
    highp vec2 delta = param0.xy - vertex_uv0;
    
    uv0.xy = delta * param0.w + vertex_uv0;
    uv0.zw = delta * (param0.z + param0.w) + vertex_uv0;
    uv1.xy = delta * (param0.z * 2.0 + param0.w) + vertex_uv0;
    uv1.zw = delta * (param0.z * 3.0 + param0.w) + vertex_uv0;
    uv2.xy = delta * (param0.z * 4.0 + param0.w) + vertex_uv0;
    uv2.zw = delta * (param0.z * 5.0 + param0.w) + vertex_uv0;
    uv3.xy = delta * (param0.z * 6.0 + param0.w) + vertex_uv0;
    uv3.zw = delta * (param0.z * 7.0 + param0.w) + vertex_uv0;
    uv4.xy = delta * (param0.z * 8.0 + param0.w) + vertex_uv0;
    uv4.zw = delta * (param0.z * 9.0 + param0.w) + vertex_uv0;
    uv5.xy = delta * (param0.z * 10.0 + param0.w) + vertex_uv0;
    uv5.zw = delta * (param0.z * 11.0 + param0.w) + vertex_uv0;
    uv6.xy = delta * (param0.z * 12.0 + param0.w) + vertex_uv0;
    uv6.zw = delta * (param0.z * 13.0 + param0.w) + vertex_uv0;
    uv7.xy = delta * (param0.z * 14.0 + param0.w) + vertex_uv0;
    uv7.zw = delta * (param0.z * 15.0 + param0.w) + vertex_uv0;
    
	gl_Position = pvwMat * vertex_pos;
}
