attribute	highp vec4	vertex_pos;
attribute	highp vec2	vertex_uv0;

uniform		highp mat4	pvwMat;
uniform		highp vec2	anim;
uniform		highp vec2	repeat;

varying		highp vec2	uv0Var;
varying		highp vec2	uv2Var;
varying		highp vec4	screenInfo;

void main()
{
	uv0Var		= vertex_uv0;
	uv2Var		= vertex_uv0 * repeat + anim;
	gl_Position = pvwMat * vertex_pos;
    screenInfo	= vec4((gl_Position.xy + gl_Position.w) * 0.5, gl_Position.z, gl_Position.w);
}
