uniform		sampler2D	tex0;   //color
uniform     sampler2D   tex1;   //mask

uniform     lowp vec4   globalColor;

varying		highp   vec2	uv0Var;
varying		highp   vec2	uv1Var;

varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var) * texture2D(tex1, uv1Var).r * globalColor;
	gl_FragColor = c0;//vec4(c0.rgb * ambientDiffuseVar + specularVar, c0.a);
}
