uniform		sampler2D	tex0;	//sky texture

uniform     lowp  float  mistAmount;

varying		highp    vec2	uv0Var;
varying		mediump  vec3	extinction;
varying		mediump  vec3	inscatter;
varying		mediump  vec4	density;

void main()
{	
	mediump vec3 color = texture2D(tex0, uv0Var).rgb;
    mediump float alpha = color.g * density.x + density.y;
    color = mix(color, color.bbb, mistAmount);
	mediump vec3 scatter0 = inscatter * density.z + density.w;
    mediump vec3 scatter = (inscatter * inscatter) * scatter0;
    gl_FragColor = vec4(color * extinction + scatter, alpha);
}