uniform		sampler2D	tex0;
uniform		sampler2D	tex1;
uniform		lowp  float	dualTexParam;

varying		highp vec2	uv0Var;
varying		highp vec2	uv1Var;

void main()
{
	lowp vec4 c0 =  texture2D(tex0, uv0Var);
	lowp vec4 c1 =  texture2D(tex1, uv1Var);
	gl_FragColor = (c0 + c1) + dualTexParam;
}
