uniform		sampler2D	tex0;

varying		highp   vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var);
	gl_FragColor = vec4(c0.rgb * ambientDiffuseVar + specularVar, c0.a);
}
