attribute	highp   vec4	vertex_pos;
attribute	highp   vec2	vertex_uv0;

uniform		highp mat4	pvwMat;
uniform		highp vec3	eyePosMS;
uniform		mediump vec3	lightDirMS;

varying		highp    vec2   uv0Var;
varying		mediump  vec3	halfVecMSVar;

void main()
{
	uv0Var		= vertex_uv0;
	halfVecMSVar= normalize(eyePosMS - vertex_pos.xyz) + lightDirMS;
	gl_Position = pvwMat * vertex_pos;
}
