uniform		sampler2D	tex0;	//texture
uniform     sampler2D   tex1;   //shadow map

varying lowp vec3 color0;
varying lowp vec3 color1;
varying highp vec2 uv0Var;
varying highp vec3 screenInfo;

void main (void)
{
    lowp vec3 c1 = texture2D(tex0, uv0Var).rgb * color1 * texture2D(tex1, screenInfo.xy / screenInfo.z).r;
	gl_FragColor = vec4(color0 - color0 * c1 + c1, 1.0);
}
