uniform		sampler2D	tex0; //water texture
uniform		sampler2D	tex1; //color texture

varying		highp	vec3 screenInfo;
varying		highp	vec2 alphaVar;
varying		lowp	vec3 extinction;
varying		lowp	vec3 inscatter;

void main()
{
	lowp vec2 param  = texture2D(tex0, screenInfo.xy / screenInfo.z).xy;
	lowp vec3 wcolor = texture2D(tex1, alphaVar).rgb + param.x + param.y;
	gl_FragColor.rgb = wcolor * extinction + inscatter;
}
