uniform		sampler2D		tex0;
varying		mediump vec2	uv0Var;

const mediump vec3 luma = vec3(0.299, 0.587, 0.114);

void main()
{
    mediump vec4 color = texture2D(tex0, uv0Var);
    mediump float mask = dot(color.rgb, luma) * color.a;
    gl_FragColor.rgb = vec3(mask * 10.0 - 9.0);
}
