uniform		sampler2D		tex0;

varying		mediump vec2	uv0Var;
varying		mediump vec2	uv1Var;
varying		mediump vec2	uv2Var;
varying		mediump vec2	uv3Var;
varying		mediump vec2	uv4Var;

void main()
{
	lowp vec3 c0 = texture2D(tex0, uv0Var).rgb + texture2D(tex0, uv1Var).rgb;
    lowp vec3 c1 = texture2D(tex0, uv2Var).rgb + texture2D(tex0, uv3Var).rgb;
    lowp vec3 c2 = texture2D(tex0, uv4Var).rgb * 0.2;
    gl_FragColor.rgb = c0 * 0.2 + (c1 * 0.2 + c2);
}
