uniform highp sampler2D tex0;   //cascade shadow map

varying highp vec3 shadowCoord;

const highp vec2 M1 = vec2(0.000001, 0.0);

void main()
{
    highp vec2 var = texture2D(tex0, shadowCoord.xy).xy;
    var = vec2(var.x * -var.x + var.y, shadowCoord.z - var.x);
    var = max(var, M1);
    var.y = var.y * var.y + var.x;
    var.x = var.x / var.y;
    var.x = pow(var.x, 8.0);
    gl_FragColor = vec4(var.x * 0.5 + 0.5);
}
