attribute	highp vec4	vertex_pos;

uniform		highp mat4	pvwMat;
uniform     highp mat4  shadowMat[2];

varying highp vec3 shadowCoord[2];

void main()
{
    shadowCoord[0] = (shadowMat[0] * vertex_pos).xyz;
    shadowCoord[1] = (shadowMat[1] * vertex_pos).xyz;
	gl_Position  = pvwMat * vertex_pos;
}
