uniform		sampler2D	tex0;
uniform     lowp    float   cutEdge;

varying		highp vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseSpecularVar;

void main()
{
	lowp float c0 = step(cutEdge, texture2D(tex0, uv0Var).r);
	gl_FragColor = vec4(c0 * ambientDiffuseSpecularVar, c0);
}
