uniform		sampler2D           tex0;
uniform		sampler2D           tex1;
varying		highp       vec2    uv0Var;

void main()
{
    lowp vec3 c0 = texture2D(tex0, uv0Var).rgb;
    lowp vec3 c1 = texture2D(tex1, uv0Var).rgb;
    
    c0 = c0 - c0 * c1 + c1;
    c1 = c0 * c0 - 0.5;
    c1 = c0 * 1.5 - c1;

    gl_FragColor.rgb = c0 * c1;
}
