uniform		sampler2D	tex0; //bump0 texture

varying		highp	vec2 tex0Var;
varying		highp	vec2 tex1Var;
varying		mediump	vec3 halfVecVar;

void main()
{
	mediump vec3  normal   = normalize(texture2D(tex0, tex0Var).xyz + texture2D(tex0, tex1Var).xyz - 1.0);
	mediump vec3  halfVec  = normalize(halfVecVar);
    mediump float specular = exp(dot(halfVec, normal) * 48.0 - 48.0);
	gl_FragColor.xy = vec2(normal.x * normal.x + specular, specular * 200.0 - 180.0);
}
