attribute	highp vec4	vertex_pos;
attribute	lowp  vec4	vertex_color;
attribute	highp vec2	vertex_uv0;

uniform		highp mat4	pvwMat;

varying		highp vec2	uv0Var;
varying		highp vec3	screenInfo;
varying		lowp  float alphaVar;

void main()
{
	uv0Var		= vertex_uv0;
	gl_Position = pvwMat * vertex_pos;
	
	screenInfo	= vec3((gl_Position.xy + gl_Position.w) * 0.5, gl_Position.w);
    alphaVar	= vertex_color.a;
}
