uniform samplerCube   tex0;

varying highp   vec3 uv0Var;
varying mediump vec3 color0;
varying mediump vec4 colorClouds;

void main (void)
{
    mediump vec3 sky = textureCube(tex0, uv0Var).rgb;
    mediump vec3 color = min(colorClouds.rgb * sky.r, 1.0) * sky.g;
    color = color0 - color0 * color + color + (sky.b * colorClouds.a);
	gl_FragColor = vec4(color, sky.g);
}
