uniform		sampler2D	tex0;	//sky texture

uniform     lowp  float  mistAmount;

varying		highp   vec2	uv0Var;
varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;

void main()
{	
	lowp vec3 color = texture2D(tex0, uv0Var).rgb;
    color = mix(color, color.bbb, mistAmount);
	gl_FragColor = vec4(color * extinction + inscatter, 0.0);
}
