varying highp vec2 depthVar;

void main()
{
    highp float moment1 = depthVar.x / depthVar.y;
    highp float moment2 = moment1 * moment1;
	highp float dx = dFdx(moment1);
	highp float dy = dFdy(moment1);
	moment2 += 0.25 * (dx * dx + dy * dy);
	gl_FragColor = vec4(moment1, moment2, 0.0, 0.0);
}
