uniform		sampler2D	tex0;

varying		highp vec2	uv0Var;
varying		lowp  vec3	ambientDiffuseVar;
varying		lowp  vec3	specularVar;
varying		lowp  vec4	colorVar;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var) * colorVar;
	gl_FragColor = vec4(c0.rgb * ambientDiffuseVar + specularVar, c0.a);
}
