attribute	highp	vec4	vertex_pos;
attribute	mediump vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;
uniform		mediump vec3	lightDirMS;

varying		highp   vec2	uv0Var;
varying		mediump	vec3	normalVar;
varying		mediump	vec3	halfVecMSVar;

void main()
{
	uv0Var		= vertex_uv0;
	normalVar	= vertex_normal;
	halfVecMSVar= normalize(eyePosMS - vertex_pos.xyz) + lightDirMS;
	gl_Position = pvwMat * vertex_pos;
}
