uniform		sampler2D		tex0;
uniform		lowp	vec3	fogColor;

varying		highp   vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;
varying		lowp	float	fogDensityVar;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var);
	lowp vec3 c0lit = c0.rgb * ambientDiffuseVar + specularVar;
	
	gl_FragColor = vec4(mix(c0lit, fogColor, fogDensityVar), c0.a);
}
