uniform		sampler2D	tex0;
uniform		lowp  vec4	globalColor;
uniform		lowp  vec3	fogColor;

varying		highp vec2	uv0Var;
varying		lowp  float	fogDensityVar;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var);
	lowp vec3 c0fog = mix(c0.rgb * globalColor.rgb, fogColor, fogDensityVar);
	gl_FragColor = vec4(c0fog, c0.a * globalColor.a);
}