uniform		sampler2D	tex0;	//terrain texture
uniform		sampler2D	tex1;	//detail texture

varying		highp   vec2	uv0Var;
varying		highp	vec2	uv1Var;

varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;

void main()
{
	lowp vec3 c0 = texture2D(tex0, uv0Var).rgb;
	lowp vec3 c1 = texture2D(tex1, uv1Var).rgb;
    c0 = c0 + c1 - 0.5;
	gl_FragColor = vec4(c0 * extinction + inscatter, 1.0);
}