uniform		sampler2D	tex0;	//texture

varying		highp   vec2	uv0Var;
varying     lowp    vec4    colorVar;
varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var) * colorVar;
	c0.rgb = c0.rgb * extinction + (c0.a * inscatter);
	gl_FragColor = c0;
}
