uniform		sampler2D	tex0;	//texture
uniform     sampler2D   tex1;   //shadow map

varying		highp   vec2	uv0Var;
varying     highp   vec3    screenInfo;
varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;

void main()
{
	lowp vec3 c0 = texture2D(tex0, uv0Var).rgb * texture2D(tex1, screenInfo.xy / screenInfo.z).r;
	gl_FragColor = vec4(c0 * extinction + inscatter, 1.0);
}
