uniform		sampler2D	tex0;	//texture
uniform		sampler2D	tex1;	//shadow map

varying		highp   vec2	uv0Var;
varying     highp   vec3    screenInfo;
varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var);
    c0.rgb *= texture2D(tex1, screenInfo.xy / screenInfo.z).r;
	c0.rgb = c0.rgb * extinction + (c0.a * inscatter);
	gl_FragColor = c0;
}
