uniform		sampler2D	tex0;	//texture
uniform		sampler2D	tex1;	//shadow map

varying lowp vec3 color0;
varying lowp vec3 color1;
varying highp vec2 uv0Var;
varying highp vec3 screenInfo;

void main (void)
{
    lowp vec4 c0 = texture2D(tex0, uv0Var);
    lowp vec3 c1 = color0 * c0.a;
    c0.rgb = c0.rgb * color1 * texture2D(tex1, screenInfo.xy / screenInfo.z).r;
	c0.rgb = c0.rgb - c0.rgb * c1 + c1;;
	gl_FragColor = c0;
}
